/*********************************************************************
* File: DefaultIsr.c                                                 *
* Description: Contains all interrupt service routines used in the   *
*   TEC application.                                                 *
* DSP: TMS320F2812                                                   *
* Author: David M. Alter                                             *
* Function List: Not applicable                                      *
* History:                                                           *
*   11/05/02 - Original, based on DSP28 header files v0.58 (D. Alter)*
* Notes: none                                                        *
*********************************************************************/

/*********************************************************************
* THIS PROGRAM IS PROVIDED "AS IS". TI MAKES NO WARRANTIES OR        *
* REPRESENTATIONS, EITHER EXPRESS, IMPLIED OR STATUTORY,             *
* INCLUDING ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS       *
* FOR A PARTICULAR PURPOSE, LACK OF VIRUSES, ACCURACY OR             *
* COMPLETENESS OF RESPONSES, RESULTS AND LACK OF NEGLIGENCE.         *
* TI DISCLAIMS ANY WARRANTY OF TITLE, QUIET ENJOYMENT, QUIET         *
* POSSESSION, AND NON-INFRINGEMENT OF ANY THIRD PARTY                *
* INTELLECTUAL PROPERTY RIGHTS WITH REGARD TO THE PROGRAM OR         *
* YOUR USE OF THE PROGRAM.                                           *
*                                                                    *
* IN NO EVENT SHALL TI BE LIABLE FOR ANY SPECIAL, INCIDENTAL,        *
* CONSEQUENTIAL OR INDIRECT DAMAGES, HOWEVER CAUSED, ON ANY          *
* THEORY OF LIABILITY AND WHETHER OR NOT TI HAS BEEN ADVISED         *
* OF THE POSSIBILITY OF SUCH DAMAGES, ARISING IN ANY WAY OUT         *
* OF THIS AGREEMENT, THE PROGRAM, OR YOUR USE OF THE PROGRAM.        *
* EXCLUDED DAMAGES INCLUDE, BUT ARE NOT LIMITED TO, COST OF          *
* REMOVAL OR REINSTALLATION, COMPUTER TIME, LABOR COSTS, LOSS        *
* OF GOODWILL, LOSS OF PROFITS, LOSS OF SAVINGS, OR LOSS OF          *
* USE OR INTERRUPTION OF BUSINESS. IN NO EVENT WILL TI'S             *
* AGGREGATE LIABILITY UNDER THIS AGREEMENT OR ARISING OUT OF         *
* YOUR USE OF THE PROGRAM EXCEED FIVE HUNDRED DOLLARS                *
* (U.S.$500).                                                        *
*                                                                    *
* Unless otherwise stated, the Program written and copyrighted       *
* by Texas Instruments is distributed as "freeware".  You may,       *
* only under TI's copyright in the Program, use and modify the       *
* Program without any charge or restriction.  You may                *
* distribute to third parties, provided that you transfer a          *
* copy of this license to the third party and the third party        *
* agrees to these terms by its first use of the Program. You         *
* must reproduce the copyright notice and any other legend of        *
* ownership on each copy or partial copy, of the Program.            *
*                                                                    *
* You acknowledge and agree that the Program contains                *
* copyrighted material, trade secrets and other TI proprietary       *
* information and is protected by copyright laws,                    *
* international copyright treaties, and trade secret laws, as        *
* well as other intellectual property laws.  To protect TI's         *
* rights in the Program, you agree not to decompile, reverse         *
* engineer, disassemble or otherwise translate any object code       *
* versions of the Program to a human-readable form.  You agree       *
* that in no event will you alter, remove or destroy any             *
* copyright notice included in the Program.  TI reserves all         *
* rights not specifically granted under this license. Except         *
* as specifically provided herein, nothing in this agreement         *
* shall be construed as conferring by implication, estoppel,         *
* or otherwise, upon you, any license or other right under any       *
* TI patents, copyrights or trade secrets.                           *
*                                                                    *
* You may not use the Program in non-TI devices.                     *
*********************************************************************/

#include "Device.h"

/*********************************************************************/
interrupt void INT13_ISR(void)			// 0x000D1A  INT13 - XINT13 (or CPU Timer1, reserved for TI)
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void INT14_ISR(void)			// 0x000D1C  INT14 - CPU Timer2, reserved for TI
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void DATALOG_ISR(void)		// 0x000D1E  DATALOG - CPU data logging interrupt
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void RTOSINT_ISR(void)		// 0x000D20  RTOSINT - CPU RTOS interrupt
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void EMUINT_ISR(void) 		// 0x000D22  EMUINT - CPU emulation interrupt
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void NMI_ISR(void)			// 0x000D24  NMI - XNMI interrupt
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void ILLEGAL_ISR(void)		// 0x000D26  ILLEGAL - illegal operation trap
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void USER0_ISR(void)			// 0x000D28  USER0 - software interrupt #0
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void USER1_ISR(void)			// 0x000D2A  USER1 - software interrupt #1
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void USER2_ISR(void)			// 0x000D2C  USER2 - software interrupt #3
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void USER3_ISR(void)			// 0x000D2E  USER3 - software interrupt #3
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void USER4_ISR(void)			// 0x000D30  USER4 - software interrupt #4
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void USER5_ISR(void)			// 0x000D32  USER5 - software interrupt #5
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void USER6_ISR(void)			// 0x000D34  USER6 - software interrupt #6
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void USER7_ISR(void)			// 0x000D36  USER7 - software interrupt #7
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void USER8_ISR(void)			// 0x000D38  USER8 - software interrupt #8
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void USER9_ISR(void)			// 0x000D3A  USER9 - software interrupt #9
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void USER10_ISR(void)			// 0x000D3C  USER10 - software interrupt #10
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void USER11_ISR(void)			// 0x000D3E  USER11 - software interrupt #11
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround


// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void PDPINTA_ISR(void)		// 0x000D40  PDPINTA (EV-A)
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

	PieCtrlRegs.PIEACK.all = PIEACK_GROUP1;	// Must acknowledge the PIE group

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void PDPINTB_ISR(void)		// 0x000D42  PDPINTB (EV-B)
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

	PieCtrlRegs.PIEACK.all = PIEACK_GROUP1;	// Must acknowledge the PIE group

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void XINT1_ISR(void)			// 0x000D46  XINT1
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

	PieCtrlRegs.PIEACK.all = PIEACK_GROUP1;	// Must acknowledge the PIE group

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}     

/*********************************************************************/
interrupt void XINT2_ISR(void)			// 0x000D48  XINT2
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

	PieCtrlRegs.PIEACK.all = PIEACK_GROUP1;	// Must acknowledge the PIE group

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void ADCINT_ISR(void)		// 0x000D4A  ADCINT (ADC)
{

int16 u;							// fixed pt. control input

// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

/*** Manage the interrupt registers ***/
	PieCtrlRegs.PIEACK.all = PIEACK_GROUP1;		// Must acknowledge the PIE group

/*** Manage the ADC registers ***/
	AdcRegs.ADCTRL2.bit.RST_SEQ1 = 1;	// reset SEQ1 to CONV00 state
	AdcRegs.ADCST.bit.INT_SEQ1_CLR = 1;	// clear ADC SEQ1 interrupt flag

/*** Read the thermistor ***/
	TEC1.y = AdcRegs.ADCRESULT0 >> 1;	// read ADC result, I1Q15

/*** Filter the thermistor reading ***/
	#if FILTER != 0						// low-pass filter in use
		FirFilter(&TEC1, aLP, NLP);		// call the FIR filter function
	#else                               // low-pass filter not in use
		TEC1.yf = (3.0/4096)*(float32)(TEC1.y >> 3);
    #endif

/*** Compute the controller output ***/

    PidCtrl1(&TEC1);					// call the PID controller
	u = (int16)TEC1.u;					// convert to fixed pt.

/** Handle the sign with the H-bridge **/
	if(u > 0) EvaRegs.ACTRA.all = ACTRA_pos_mask;
    else      EvaRegs.ACTRA.all = ACTRA_neg_mask;

	EvaRegs.CMPR1 = abs(u);				// update the PWM duty cycle


} // end ADCINT_ISR()

/*********************************************************************/
interrupt void TINT0_ISR(void)			// 0x000D4C  TINT0 (CPU TIMER 0)
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

	PieCtrlRegs.PIEACK.all = PIEACK_GROUP1;	// Must acknowledge the PIE group

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void WAKEINT_ISR(void)		// 0x000D4E  WAKEINT (LPM/WD)
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

	PieCtrlRegs.PIEACK.all = PIEACK_GROUP1;	// Must acknowledge the PIE group
  
// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void CMP1INT_ISR(void)		// 0x000D50  CMP1INT (EV-A)
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

	PieCtrlRegs.PIEACK.all = PIEACK_GROUP2;	// Must acknowledge the PIE group

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void CMP2INT_ISR(void)		// 0x000D52  CMP2INT (EV-A)
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

	PieCtrlRegs.PIEACK.all = PIEACK_GROUP2;	// Must acknowledge the PIE group

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void CMP3INT_ISR(void)		// 0x000D54  CMP3INT (EV-A)
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

	PieCtrlRegs.PIEACK.all = PIEACK_GROUP2;	// Must acknowledge the PIE group
  
// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void T1PINT_ISR(void)			// 0x000D56  T1PINT (EV-A)
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

	PieCtrlRegs.PIEACK.all = PIEACK_GROUP2;	// Must acknowledge the PIE group
  
// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void T1CINT_ISR(void)			// 0x000D58  T1CINT (EV-A)
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

	PieCtrlRegs.PIEACK.all = PIEACK_GROUP2;	// Must acknowledge the PIE group

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void T1UFINT_ISR(void)		// 0x000D5A  T1UFINT (EV-A)
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

	PieCtrlRegs.PIEACK.all = PIEACK_GROUP2;	// Must acknowledge the PIE group

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void T1OFINT_ISR(void)		// 0x000D5C  T1OFINT (EV-A)
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

	PieCtrlRegs.PIEACK.all = PIEACK_GROUP2;	// Must acknowledge the PIE group

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}
      
/*********************************************************************/
interrupt void T2PINT_ISR(void)			// 0x000D60  T2PINT (EV-A)
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

	PieCtrlRegs.PIEACK.all = PIEACK_GROUP3;	// Must acknowledge the PIE group

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void T2CINT_ISR(void)			// 0x000D62  T2CINT (EV-A)
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

	PieCtrlRegs.PIEACK.all = PIEACK_GROUP3;	// Must acknowledge the PIE group

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void T2UFINT_ISR(void)		// 0x000D64  T2UFINT (EV-A)
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

	PieCtrlRegs.PIEACK.all = PIEACK_GROUP3;	// Must acknowledge the PIE group

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void T2OFINT_ISR(void)		// 0x000D66  T2OFINT (EV-A)
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

	PieCtrlRegs.PIEACK.all = PIEACK_GROUP3;	// Must acknowledge the PIE group

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void CAPINT1_ISR(void)		// 0x000D68  CAPINT1 (EV-A)
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

	PieCtrlRegs.PIEACK.all = PIEACK_GROUP3;	// Must acknowledge the PIE group

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void CAPINT2_ISR(void)		// 0x000D6A  CAPINT2 (EV-A)
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

	PieCtrlRegs.PIEACK.all = PIEACK_GROUP3;	// Must acknowledge the PIE group

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void CAPINT3_ISR(void)		// 0x000D6C  CAPINT3 (EV-A)
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

	PieCtrlRegs.PIEACK.all = PIEACK_GROUP3;	// Must acknowledge the PIE group

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void CMP4INT_ISR(void)		// 0x000D70  CMP4INT (EV-B)
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

	PieCtrlRegs.PIEACK.all = PIEACK_GROUP4;	// Must acknowledge the PIE group

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void CMP5INT_ISR(void)		// 0x000D72  CMP5INT (EV-B)
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

	PieCtrlRegs.PIEACK.all = PIEACK_GROUP4;	// Must acknowledge the PIE group

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void CMP6INT_ISR(void)		// 0x000D74  CMP6INT (EV-B)
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

	PieCtrlRegs.PIEACK.all = PIEACK_GROUP4;	// Must acknowledge the PIE group

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void T3PINT_ISR(void)			// 0x000D76  T3PINT (EV-B)
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

	PieCtrlRegs.PIEACK.all = PIEACK_GROUP4;	// Must acknowledge the PIE group

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void T3CINT_ISR(void)			// 0x000D78  T3CINT (EV-B)
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

	PieCtrlRegs.PIEACK.all = PIEACK_GROUP4;	// Must acknowledge the PIE group

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void T3UFINT_ISR(void)		// 0x000D7A  T3UFINT (EV-B)
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

	PieCtrlRegs.PIEACK.all = PIEACK_GROUP4;	// Must acknowledge the PIE group

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void T3OFINT_ISR(void)		// 0x000D7C  T3OFINT (EV-B)
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

	PieCtrlRegs.PIEACK.all = PIEACK_GROUP4;	// Must acknowledge the PIE group

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}
     
/*********************************************************************/
interrupt void T4PINT_ISR(void)			// 0x000D80  T4PINT (EV-B)
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

	PieCtrlRegs.PIEACK.all = PIEACK_GROUP5;	// Must acknowledge the PIE group

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void T4CINT_ISR(void)			// 0x000D82  T4CINT (EV-B)
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

	PieCtrlRegs.PIEACK.all = PIEACK_GROUP5;	// Must acknowledge the PIE group
 
// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void T4UFINT_ISR(void)		// 0x000D84  T4UFINT (EV-B)
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

	PieCtrlRegs.PIEACK.all = PIEACK_GROUP5;	// Must acknowledge the PIE group

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void T4OFINT_ISR(void)		// 0x000D86  T4OFINT (EV-B)
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

	PieCtrlRegs.PIEACK.all = PIEACK_GROUP5;	// Must acknowledge the PIE group

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void CAPINT4_ISR(void)		// 0x000D88  CAPINT4 (EV-B)
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

	PieCtrlRegs.PIEACK.all = PIEACK_GROUP5;	// Must acknowledge the PIE group

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void CAPINT5_ISR(void)		// 0x000D8A  CAPINT5 (EV-B)
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

	PieCtrlRegs.PIEACK.all = PIEACK_GROUP5;	// Must acknowledge the PIE group

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void CAPINT6_ISR(void)		// 0x000D8C  CAPINT6 (EV-B)
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

	PieCtrlRegs.PIEACK.all = PIEACK_GROUP5;	// Must acknowledge the PIE group

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void SPIRXINTA_ISR(void)		// 0x000D90  SPIRXINTA (SPI)
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

	PieCtrlRegs.PIEACK.all = PIEACK_GROUP6;	// Must acknowledge the PIE group

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void SPITXINTA_ISR(void)		// 0x000D92  SPITXINTA (SPI)
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

	PieCtrlRegs.PIEACK.all = PIEACK_GROUP6;	// Must acknowledge the PIE group

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void MRINTA_ISR(void)			// 0x000D98  MRINT (McBSP)
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

	PieCtrlRegs.PIEACK.all = PIEACK_GROUP6;	// Must acknowledge the PIE group

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void MXINTA_ISR(void)			// 0x000D9A  MXINT (McBSP)
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

	PieCtrlRegs.PIEACK.all = PIEACK_GROUP6;	// Must acknowledge the PIE group

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void SCIRXINTA_ISR(void)		// 0x000DC0  SCIRXINTA (SCI-A)
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

	PieCtrlRegs.PIEACK.all = PIEACK_GROUP9;	// Must acknowledge the PIE group

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void SCITXINTA_ISR(void)		// 0x000DC2  SCITXINTA (SCI-A)
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

	PieCtrlRegs.PIEACK.all = PIEACK_GROUP9;	// Must acknowledge the PIE group

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void SCIRXINTB_ISR(void)		// 0x000DC4  SCIRXINTB (SCI-B)
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

	PieCtrlRegs.PIEACK.all = PIEACK_GROUP9;	// Must acknowledge the PIE group

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void SCITXINTB_ISR(void)		// 0x000DC6  SCITXINTB (SCI-B)
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

	PieCtrlRegs.PIEACK.all = PIEACK_GROUP9;	// Must acknowledge the PIE group

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void ECAN0INTA_ISR(void)		// 0x000DC8  ECAN0INT (CAN)
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

	PieCtrlRegs.PIEACK.all = PIEACK_GROUP9;	// Must acknowledge the PIE group

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void ECAN1INTA_ISR(void)		// 0x000DCA  ECAN1INT (CAN)
{
// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

	PieCtrlRegs.PIEACK.all = PIEACK_GROUP9;	// Must acknowledge the PIE group

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}



/**********************************************************************
* Reserved ISRs
**********************************************************************/

interrupt void PIE_RESERVED(void)		// Reserved PIE base vector.
{
// This ISR is for reserved PIE base vectors.  It should never be reached by
// properly executing code.  If you get here, it means something is wrong.

// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}

/*********************************************************************/
interrupt void rsvd_ISR(void)			// Reserved PIE group vector
{
// This ISR is for reserved PIE group vectors.  It should never be reached by
// properly executing code.  If you get here, it means something is wrong.

// Work around Compiler v3.03 bug
	asm(" SPM  0");						// Compiler not properly setting SPM 0 in ISRs
	asm(" CLRC AMODE");					// Compiler not properly setting AMODE=1 in ISRs
// End workaround

// Next two lines for debug only - remove after inserting your ISR
	asm (" ESTOP0");					// Emulator Halt instruction
	while(1);
}


/*** end of file *****************************************************/
